<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin;

use Inti\Container\Factory\PluginManagerFactory;

/**
 * Class ConfigProvider
 *
 * @package Inti\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-plugin
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            Service\PluginManager::class => [],

            'dependencies' => [
                'aliases' => [
                    Service\PluginRunnerInterface::class => Service\PluginRunner::class,
                ],
                'factories' => [
                    Service\PluginManager::class => PluginManagerFactory::class,
                    Service\PluginRunner::class => Container\PluginRunnerFactory::class,
                ],
            ],
        ];
    }
}
