<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin\Exception;

use Inti\Wp\Plugin\PluginInterface;
use Throwable;

use function get_class;
use function gettype;
use function is_object;
use function sprintf;

/**
 * Class InvalidPluginException
 *
 * @package Inti\Wp\Plugin\Exception
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-plugin
 */
class InvalidPluginException extends RuntimeException
{
    public function __construct($received, $code = 0, Throwable $previous = null)
    {
        parent::__construct(sprintf(
            "Plugin must be of type '%s'; got '%s' instead.",
            PluginInterface::class,
            is_object($received) ? get_class($received) : gettype($received)
        ), $code, $previous);
    }
}
