<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin\Exception;

use Throwable;

/**
 * Class PluginCouldNotBeCreated
 *
 * @package Inti\Wp\Plugin\Exception
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-plugin
 */
class PluginCouldNotBeCreatedException extends RuntimeException
{
    public function __construct(string $plugin, $code = 0, Throwable $previous = null)
    {
        parent::__construct(sprintf(
            "Could not create instance for plugin '%s'%s",
            $plugin,
            $previous ? '; ' . $previous->getMessage() : '.'
        ), $code, $previous);
    }
}
