<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin\Exception;

use Throwable;

/**
 * Class PluginNotFoundException
 *
 * @package Inti\Wp\Plugin\Exception
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-plugin
 */
class PluginNotFoundException extends RuntimeException
{
    public function __construct(string $plugin, $code = 0, Throwable $previous = null)
    {
        parent::__construct(sprintf(
            "Could not locate plugin '%s'.", $plugin
        ), $code, $previous);
    }
}
