<?php
declare(strict_types=1);

namespace IntiTest\Wp\Plugin\Service;

use Inti\Wp\Plugin\PluginInterface;
use Inti\Wp\Plugin\Service\PluginManager;
use IntiTest\Wp\Plugin\Mock\MockPlugin;
use IntiTest\Wp\Plugin\TestCaseTrait;
use PHPUnit\Framework\TestCase;

/**
 * Class PluginManagerTest
 *
 * @package IntiTest\Wp\Plugin\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-plugin
 */
final class PluginManagerTest extends TestCase
{
    use TestCaseTrait;

    protected function createPluginManager(): PluginManager
    {
        $container = $this->createContainer();
        return $container->get(PluginManager::class);
    }

    public function testPluginManagerIsRegistered()
    {
        $this->assertServiceInstanceOf(PluginManager::class, PluginManager::class);
    }

    public function testCanCreateInvokablePluginsWithoutRegisteringThem()
    {
        $manager = $this->createPluginManager();

        $this->assertInstanceOf(PluginInterface::class, $manager->get(MockPlugin::class));
    }
}
