<?php
declare(strict_types=1);

namespace IntiTest\Wp\Plugin;

use Inti\Test\TestCase\ContainerTestCase;
use Inti\Wp\Plugin\ConfigProvider;
use Inti\Wp\Plugin\Service\PluginRunnerInterface;

/**
 * Trait TestCaseTrait
 *
 * @package IntiTest\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-plugin
 */
trait TestCaseTrait
{
    use ContainerTestCase;

    protected array $providers = [
        ConfigProvider::class,
    ];

    protected function setUp(): void
    {
        $this->setUpContainer();
    }

    protected function createRunner(array $config = []): PluginRunnerInterface
    {
        if (!$this->container) {
            $this->createContainer($config);
        }

        return $this->container->get(PluginRunnerInterface::class);
    }
}
